SPA Templates
SPA: Updates a Template.
SPA: Updates a Template.
/api/spa/templates/{id}Authorizations
Value for the X-AUTH-TOKEN header parameter.
Path Parameters
SpaTemplate identifier
Request Body
The updated SpaTemplate resource
{
"identifier": "my_template_document",
"description": "Invoice for contract <<contract.number>>",
"comment": "This is a special template",
"fileName": "invoice_<<contract.number>>",
"color": "#083E5D",
"maxPageAmount": 10,
"maxBlockedAmount": 10,
"paused": false,
"customId": "<<contract.number>>",
"legacy": false,
"chartIdentifiers": [
"consumption",
"balance"
],
"validatorIdentifiers": [
"address_validator",
"product_validator"
],
"qrCodeIdentifiers": [
"myqrcode"
],
"file": "data:application/docx;base64,UEsDBBQABg...",
"subClient": {},
"brandIdentifier": "default",
"active": true,
"activeFrom": "2024-01-01",
"groupIdentifier": "my_group",
"groupCondition": "data['contract']['balance'] > 0",
"reviewCondition": "data['contract']['id'] > 1000",
"subClientDefault": false
}Response
SpaTemplate resource updated
Identifier generated by Output.Rocks.
Unique identifier to be used for mappings
Template description / title. <<>>-Syntax can be used for dynamical generation.
Comments and notes
Target file name without extension <<>>-Syntax can be used for dynamical generation.
HTML color code to be used on Dashboard-charts and statistics.
Maximum expected pages amount in rendered documents. Documents with page amount > limit will be marked and displayed on Dashboard.
Normalized OpenXML package content extracted from the uploaded DOCX template.
Maximum amount of accepted errors. Template will be paused in case of reaching this limit
Paused flag. Default: false
Optional value in <<>>-Syntax to be extracted and stored on each rendered document.
Legacy flag. To be used only on systems with activated legacy module. Default: false
Identifier list of charts, used in current template
Identifier list of validators, to be executed on current template
Identifier list of QR-Code definitions, to be used on current template
base64 encoded file
User, created this entry
User, updated this entry
UTC date time of entry creation
UTC date time of last entry update
Active flag. Default: true
Date to activate the entry. Default: today
Optional group identifier to be used with group conditions
Group condition.
Review condition.
Default for environmental tenants (sub-clients)
SubClient ID. Provided on instances with enabled sub-client module only.
SubClient description. Provided on instances with enabled sub-client module only.